<?php if ( $GLOBALS['gp_featured_image'] == 'enabled' ) { ?>

	<div class="post-format-video-content featured-content <?php echo sanitize_html_class( $GLOBALS['gp_image_alignment'] ); ?>">

		<?php if ( get_post_meta( get_the_ID(), 'video_embed_url', true ) ) { ?>

			<?php global $wp_embed; ?>
			<?php echo $wp_embed->run_shortcode( '[embed width="' . $GLOBALS['gp_image_width'] . '" height="' . $GLOBALS['gp_image_height'] . '"]' . get_post_meta( get_the_ID(), 'video_embed_url', true ) . '[/embed]' ); ?>

		<?php } else { 

			$mp4 = '';
			$m4v = '';
			$webm = '';
			$ogv = '';
			
			if ( get_post_meta( get_the_ID(), 'video_mp4_url', true ) ) {	
				$mp4 = get_post_meta( get_the_ID(), 'video_mp4_url', true );
				$mp4 = $mp4['url'];
			}
		
			if ( get_post_meta( get_the_ID(), 'video_m4v_url', true ) ) {		
				$m4v = get_post_meta( get_the_ID(), 'video_m4v_url', true );
				$m4v = $m4v['url'];
			}
		
			if ( get_post_meta( get_the_ID(), 'video_webm_url', true ) ) {	
				$webm = get_post_meta( get_the_ID(), 'video_webm_url', true );
				$webm = $webm['url'];
			}
		
			if ( get_post_meta( get_the_ID(), 'video_ogv_url', true ) ) {	
				$ogv = get_post_meta( get_the_ID(), 'video_ogv_url', true );
				$ogv = $ogv['url'];
			}
		
			?>

			<?php echo do_shortcode( '[video mp4="' . $mp4 . '" m4v="' . $m4v . '" webm="' . $webm . '" ogv="' . $ogv . '"][/video]' ); ?>

		<?php } ?>

	</div>
	
<?php } ?>	